org.h2gis.functions.spatial.snap

## Class ST_Snap

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.snap.ST_Snap

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Snap
    extends org.h2gis.api.DeterministicScalarFunction

Snaps two geometries together with a given tolerance

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Snap()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `snap(org.locationtech.jts.geom.Geometry geometryA, org.locationtech.jts.geom.Geometry geometryB, double distance)` Snaps two geometries together with a given tolerance

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Snap

    public ST_Snap()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### snap

    public static org.locationtech.jts.geom.Geometry snap(org.locationtech.jts.geom.Geometry geometryA,
                                                          org.locationtech.jts.geom.Geometry geometryB,
                                                          double distance)

Snaps two geometries together with a given tolerance

Parameters:
  `geometryA` - a geometry to snap
  `geometryB` - a geometry to snap
  `distance` - the tolerance to use
Returns:
  the snapped geometries